Participant(3)

NAME
Participant - A class of objects representing remote participants (RTP applications) in a multimedia session.

SYNOPSIS

#include <sources.h>

Inherits SDESItemsHolder.

  Public Member Functions

const std::string & getSDESItem (SDESItemType type) const
Get the value of an SDES item.
const std::string & getPRIVPrefix () const
Get the prefix value for the PRIV SDES item.
Participant (const std::string &cname)
Construct a new participant.
~Participant ()

  Friends

class ParticipantHandler

Detailed Description

A class of objects representing remote participants (RTP applications) in a multimedia session.

Any RTP socket/queue class that directly or indirectly inherits from QueueRTCPManager (and hence has RTCP support) will represent participants from which any RTP or RTCP packet has been received through a Participant object. These Participant objects are entities such as end systems (user applications, monitors, etc), RTP mixers and RTP translators.

Participant objects are identified by a CNAME and provide access to all known data about the source of RTP/RTCP packets, such as the CNAME and any other SDES item. Each participant object is related to one or more synchronization objects (

See also
    SyncSource).

If an RTP application based on ccRTP receives packets from itself (for instance, it is included in the destination list), there will be a Participant object that corresponds to the "local participant" (RTPApplication) object.

Author
    Federico Montesino Pouzols fedemp@altern.org

Constructor & Destructor Documentation

  Participant::Participant (const std::string & cname)

Construct a new participant.

Parameters
    cname Unique CNAME identifier.

  Participant::~Participant ()

Member Function Documentation

  const std::string & Participant::getPRIVPrefix () const [inline]

Get the prefix value for the PRIV SDES item.

Returns
    PRIV SDES item prefix as a string.

Return values
    empty string when no PRIV SDES item has been received from this source.

  const std::string & Participant::getSDESItem (SDESItemType type) const [inline]

Get the value of an SDES item. For instance, getSDESItem(SDESItemTypeCNAME), return the CNAME of this Participant.

Parameters
    type type of SDES item to get value of.

Returns
    value of the SDES item as a string.

Return values
    empty string when the value is not known (no RTCP packet with the requested SDES item has been received from this source).

Examples
ccrtptest.cpp, and rtplisten.cpp.

Friends And Related Symbol Documentation

  friend class ParticipantHandler [friend]

Author

Generated automatically by Doxygen for ccRTP from the source code.